Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.internal.ui.model
Class ECPLabelProvider

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.jface.viewers.BaseLabelProvider
              org.eclipse.jface.viewers.LabelProvider
                  org.eclipse.emf.ecp.internal.ui.model.ECPLabelProvider

All Implemented Interfaces:
  ECPModelContextProvider, IECPLabelProvider, org.eclipse.jface.viewers.IBaseLabelProvider, org.eclipse.jface.viewers.ILabelProvider

Direct Known Subclasses:
  ModelLabelProvider, ProvidersLabelProvider, RepositoriesLabelProvider, TransactionalModelLabelProvider

    public class ECPLabelProvider

extends org.eclipse.jface.viewers.LabelProvider
implements ECPModelContextProvider, IECPLabelProvider

Author:
  Eike Stepper

Constructor Summary
`ECPLabelProvider(ECPModelContextProvider modelContextProvider)`

Method Summary
`org.eclipse.swt.graphics.Image` | `getImage(Object element)`
`ECPContainer` | `getModelContext(Object element)` Returns the first `ECPContainer` that can be found for the provided Object.
`ECPModelContextProvider` | `getModelContextProvider()` Returns the `ECPModelContextProvider`.
`String` | `getText(Object element)`
`UIProvider` | `getUIProvider(Object element)`
`void` | `setModelContextProvider(ECPModelContextProvider modelContextProvider)` Sets the `ECPModelContextProvider` to be used by the label provider.

Methods inherited from class org.eclipse.jface.viewers.BaseLabelProvider
`addListener, dispose, isLabelProperty, removeListener`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.viewers.IBaseLabelProvider
`addListener, dispose, isLabelProperty, removeListener`

Constructor Detail

### ECPLabelProvider

    public ECPLabelProvider(ECPModelContextProvider modelContextProvider)

Method Detail

### getText

    public String getText(Object element)

  Specified by:
    `getText` in interface `org.eclipse.jface.viewers.ILabelProvider`
  Overrides:
    `getText` in class `org.eclipse.jface.viewers.LabelProvider`

### getImage

    public org.eclipse.swt.graphics.Image getImage(Object element)

  Specified by:
    `getImage` in interface `org.eclipse.jface.viewers.ILabelProvider`
  Overrides:
    `getImage` in class `org.eclipse.jface.viewers.LabelProvider`

### getUIProvider

    public UIProvider getUIProvider(Object element)

### getModelContext

    public ECPContainer getModelContext(Object element)

  Returns the first `ECPContainer` that can be found for the provided Object.

  Specified by:
    `getModelContext` in interface `ECPModelContextProvider`
  Parameters:
    `element` - the element to search the `ECPContainer` for
  Returns:
    the `ECPContainer` of this element

### getModelContextProvider

    public ECPModelContextProvider getModelContextProvider()

  Returns the `ECPModelContextProvider`.

  Specified by:
    `getModelContextProvider` in interface `IECPLabelProvider`
  Returns:
    the model context provider
  See Also:
    `IECPLabelProvider.getModelContextProvider()`

### setModelContextProvider

    public void setModelContextProvider(ECPModelContextProvider modelContextProvider)

  Sets the `ECPModelContextProvider` to be used by the label provider.

  Specified by:
    `setModelContextProvider` in interface `IECPLabelProvider`
  Parameters:
    `modelContextProvider` - the model context provider to be set
  See Also:
    `IECPLabelProvider.setModelContextProvider(org.eclipse.emf.ecp.core.util.ECPModelContextProvider)`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.